Name:        lilex-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Lilex.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 LilexNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFont-Bold.ttf
install -Dm644 LilexNerdFont-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFont-ExtraLight.ttf
install -Dm644 LilexNerdFont-ExtraThick.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFont-ExtraThick.ttf
install -Dm644 LilexNerdFont-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFont-Medium.ttf
install -Dm644 LilexNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFont-Regular.ttf
install -Dm644 LilexNerdFont-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFont-Thin.ttf
install -Dm644 LilexNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontMono-Bold.ttf
install -Dm644 LilexNerdFontMono-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontMono-ExtraLight.ttf
install -Dm644 LilexNerdFontMono-ExtraThick.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontMono-ExtraThick.ttf
install -Dm644 LilexNerdFontMono-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontMono-Medium.ttf
install -Dm644 LilexNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontMono-Regular.ttf
install -Dm644 LilexNerdFontMono-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontMono-Thin.ttf
install -Dm644 LilexNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Bold.ttf
install -Dm644 LilexNerdFontPropo-ExtraLight.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontPropo-ExtraLight.ttf
install -Dm644 LilexNerdFontPropo-ExtraThick.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontPropo-ExtraThick.ttf
install -Dm644 LilexNerdFontPropo-Medium.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Medium.ttf
install -Dm644 LilexNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Regular.ttf
install -Dm644 LilexNerdFontPropo-Thin.ttf %{buildroot}%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Thin.ttf

%files

%{_datadir}/fonts/%{name}/LilexNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/LilexNerdFont-ExtraLight.ttf
%{_datadir}/fonts/%{name}/LilexNerdFont-ExtraThick.ttf
%{_datadir}/fonts/%{name}/LilexNerdFont-Medium.ttf
%{_datadir}/fonts/%{name}/LilexNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/LilexNerdFont-Thin.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontMono-ExtraLight.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontMono-ExtraThick.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontMono-Medium.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontMono-Thin.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontPropo-ExtraLight.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontPropo-ExtraThick.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Medium.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/LilexNerdFontPropo-Thin.ttf
%license LICENSE.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
